@echo off
rem FILE: STOPEN.CMD
rem CREATED: 12/16/98 CD & MK
rem MODIFIED: 04/10/02 MK
rem USE: SmarTerm Open mode setup script

rem **************************************************************
rem **********************Please Read!****************************
rem 	Please Note!  This script makes use of environment
rem 	variables that MUST be set by the administrator.  These
rem 	variables are as follows:
rem 
rem 	STINST - the full path to the SmarTerm installation
rem	STDRIVE - the drive letter of the partition containing
rem		  the SmarTerm files.   The default is %systemdrive%.
rem               Note that this MUST be a mapped drive if the partition
rem               is not physically located on the same machine as Terminal Server.
rem	STFOLDER - the name of the root folder containing SmarTerm. 
rem		   The default folder is SMARTERM
rem	LOGIN - the full path and file name of the local 
rem		login script.
rem	FILESYS - the type of file system in use on the
rem 		  Multi-Win Server.  Allowed values are 
rem 		  NTFS and FAT.
rem 		  NOTE:  Esker does not recommend using the 
rem 		  FAT file system on Multi-Win servers.  Security 
rem 		  options are severely limited by the use of the 
rem 		  FAT file system.  This option is being provided
rem		  here merely as a courtesy for those who are not
rem		  concerned with security.
rem
rem 	These variables are set by editing the lines below to input
rem	the actual values of the variables for your site.
rem 	While default values have been provided, DO NOT ASSUME YOUR
rem	SITE MATCHES THE DEFAULTS!  To prevent this file from being
rem	run without editing, the next executable line in this file
rem 	after these remarks will actually exit the script.  This 
rem 	line must be removed or remarked for the script to run.
rem ***************************************************************

exit

rem Please change the following variables if necessary:

set STINST="%systemdrive%\Program Files\Esker\smarterm"
set STDRIVE=%systemdrive%
set STFOLDER="smarterm"
set FILESYS=NTFS

set LOGIN=%systemroot%\System32\usrlogn1.cmd

rem  * I M P O R T A N T
rem  *  You must set the path and file name of the local login script.
rem  *  Examples: set LOGIN=%systemroot%\System32\usrlogn1.cmd
rem  *            set LOGIN=%systemroot%\System32\usrlogn2.cmd
rem  ***************************************************************


If not Defined LOGIN goto NotSet
If not Exist "%LOGIN%" goto CantFind

type stopnmsg.txt
pause

%stdrive%
cd %stinst%

if not %filesys%==NTFS goto Fat
cacls *.* /t /e /p Everyone:r Administrators:f System:f < %systemroot%\Applic~1\install\y.txt
cd ..
cacls %stfolder%. /e /p Everyone:r Administrators:f System:f
goto Done

:Fat
if not %filesys%==FAT goto Done
attrib +r *.* /s
cd ..
attrib +r %stfolder%.

:Done
cd %stinst%
echo. >>%login%
echo call %stinst%\stuser.cmd>>%login%

change user /install > Nul:

setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\11.0\Options\Shutdown" "Close Options" 0
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\11.0\Options\Shutdown" "Connected Warning" 0
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\11.0\Options\Shutdown" "Disconnect Options" 0
setreg "HKEY_CURRENT_USER\Software\Esker\SmarTerm Office\11.0\Options\Shutdown" "Exit SmarTerm" 0
change user /execute > Nul:
setreg "HKEY_LOCAL_MACHINE\Software\Esker\SmarTerm Office\11.0\Options\Shutdown" "Close Options" 0
setreg "HKEY_LOCAL_MACHINE\Software\Esker\SmarTerm Office\11.0\Options\Shutdown" "Connected Warning" 0
setreg "HKEY_LOCAL_MACHINE\Software\Esker\SmarTerm Office\11.0\Options\Shutdown" "Disconnect Options" 0
setreg "HKEY_LOCAL_MACHINE\Software\Esker\SmarTerm Office\11.0\Options\Shutdown" "Exit SmarTerm" 0

cls
echo ------------------------------------------
echo SmarTerm has been configured for Open Mode.
echo 
echo Please modify STUSER.CMD (in the %stinst% folder) if you have not already done so.
pause
exit

:NotSet
cls
echo *****  E R R O R  *****
echo You have not set the path and file name of the local login script.
echo Please set a login script by editing: STOPEN.CMD
echo ----------------------------------------------------------------- 
pause
exit

:CantFind
cls
echo *****  E R R O R  *****
echo The local login script specified in STOPEN.CMD was not found.
echo       (Unable to locate: %LOGIN%)
echo ----------------------------------------------------------------------- 
echo Please verify that the "LOGIN" variable is properly set to the
echo location (path/file name) of the login script.
echo Make any necessary changes and run STOPEN.CMD again.
echo ----------------------------------------------------------------------- 
pause
exit